Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishIOBundle\Migration\FileMigrator\FileMigrator Class Reference
Inheritance diagram for eZ\Bundle\EzPublishIOBundle\Migration\FileMigrator\FileMigrator:

## Public Member Functions
| migrateFile (BinaryFile $binaryFile)
| Migrate a file. More...
Public Member Functions inherited from eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler
| __construct (HandlerFactory $metadataHandlerFactory, HandlerFactory $binarydataHandlerFactory, LoggerInterface $logger=null)
| setIODataHandlersByIdentifiers ( $fromMetadataHandlerIdentifier, $fromBinarydataHandlerIdentifier, $toMetadataHandlerIdentifier, $toBinarydataHandlerIdentifier)
| Set the from/to handlers based on identifiers. More...

## Additional Inherited Members
Protected Member Functions inherited from eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler
| logError ($message)
| logInfo ($message)
| logMissingFile ($id)
Protected Attributes inherited from eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler
| $fromMetadataHandler
| $fromBinarydataHandler
| $toMetadataHandler
| $toBinarydataHandler

## Detailed Description

Definition at line 15 of file FileMigrator.php.

## Member Function Documentation

## ◆ migrateFile()

eZ\Bundle\EzPublishIOBundle\Migration\FileMigrator\FileMigrator::migrateFile | ( | BinaryFile | $binaryFile | ) |

Migrate a file.

Parameters

  BinaryFile | $binaryFile | Information about the file

Returns
  bool Success or failure

Implements eZ\Bundle\EzPublishIOBundle\Migration\FileMigratorInterface.

Definition at line 17 of file FileMigrator.php.

References eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler\logError(), and eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler\logInfo().

The documentation for this class was generated from the following file:

- FileMigrator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.